from typing import Dict

from tqdm.autonotebook import tqdm

from .corpus import Document, document_factory


def load_documents() -> Dict[str, Document]:
    filenames = sorted(Document.ROOT_PATH.glob('*/*.txt'))
    documents = {
        basename: document
        for basename, document
        in map(document_factory, tqdm(filenames, desc='Loading documents'))
    }
    return documents


if __name__ == '__main__':
    documents = load_documents()
    corpus = sorted(documents.values())
